#pragma once

#include "common.h"
#include <maps/wikimap/mapspro/libs/acl/include/user.h>

namespace maps::wiki {

class BranchContext;

acl::User getUser(const BranchContext& branchCtx, TUid uid);

void checkUserActiveStatus(const BranchContext& branchCtx, TUid uid);

StringSet userGroups(TUid uid, const Token& token);

} // namespace maps::wiki
